<?php
/**
 * Active Callbacks
 *
 * @package cleaning_services_agent
 */

// Theme Options.
function cleaning_services_agent_is_pagination_enabled( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_enable_pagination' )->value() );
}
function cleaning_services_agent_is_breadcrumb_enabled( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_enable_breadcrumb' )->value() );
}
function cleaning_services_agent_is_layout_enabled( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_website_layout' )->value() );
}
function cleaning_services_agent_is_pagetitle_bcakground_image_enabled( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_page_header_style' )->value() );
}
function cleaning_services_agent_is_preloader_style( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_enable_preloader' )->value() );
}

// Header Options.
function cleaning_services_agent_is_topbar_enabled( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_Setting( 'cleaning_services_agent_enable_topbar' )->value() );
}

// Banner Slider Section.
function cleaning_services_agent_is_banner_slider_section_enabled( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_enable_banner_section' )->value() );
}
function cleaning_services_agent_is_banner_slider_section_and_content_type_post_enabled( $cleaning_services_agent_control ) {
	$cleaning_services_agent_content_type = $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_banner_slider_content_type' )->value();
	return ( cleaning_services_agent_is_banner_slider_section_enabled( $cleaning_services_agent_control ) && ( 'post' === $cleaning_services_agent_content_type ) );
}
function cleaning_services_agent_is_banner_slider_section_and_content_type_page_enabled( $cleaning_services_agent_control ) {
	$cleaning_services_agent_content_type = $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_banner_slider_content_type' )->value();
	return ( cleaning_services_agent_is_banner_slider_section_enabled( $cleaning_services_agent_control ) && ( 'page' === $cleaning_services_agent_content_type ) );
}

// Service section.
function cleaning_services_agent_is_post_tab_section_and_content_type_page_enabled( $cleaning_services_agent_control ) {
	$cleaning_services_agent_content_type = $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_banner_slider_content_type' )->value();
	return ( cleaning_services_agent_is_banner_slider_section_enabled( $cleaning_services_agent_control ) && ( 'page' === $cleaning_services_agent_content_type ) );
}
function cleaning_services_agent_is_post_tab_section_and_content_type_post_enabled( $cleaning_services_agent_control ) {
	$cleaning_services_agent_content_type = $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_banner_slider_content_type' )->value();
	return ( cleaning_services_agent_is_banner_slider_section_enabled( $cleaning_services_agent_control ) && ( 'post' === $cleaning_services_agent_content_type ) );
}
function cleaning_services_agent_is_service_section_enabled( $cleaning_services_agent_control ) {
	return ( $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_enable_service_section' )->value() );
}
function cleaning_services_agent_is_service_section_and_content_type_post_enabled( $cleaning_services_agent_control ) {
	$cleaning_services_agent_content_type = $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_service_content_type' )->value();
	return ( cleaning_services_agent_is_service_section_enabled( $cleaning_services_agent_control ) && ( 'post' === $cleaning_services_agent_content_type ) );
}
function cleaning_services_agent_is_service_section_and_content_type_page_enabled( $cleaning_services_agent_control ) {
	$cleaning_services_agent_content_type = $cleaning_services_agent_control->manager->get_setting( 'cleaning_services_agent_service_content_type' )->value();
	return ( cleaning_services_agent_is_service_section_enabled( $cleaning_services_agent_control ) && ( 'page' === $cleaning_services_agent_content_type ) );
}